View Issue Details

IDProjectCategoryView StatusLast Update
0003852unrealircdpublic2009-11-23 16:18
ReporterkatsklawAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformallOSallOS Versionall
Product Version3.2.9-RC1 
Target VersionFixed in Version3.2.9-RC1 
Summary0003852: FEATURE: set::level-on-join
DescriptionIn set::level-on-join I'd like to see owner +q added to the list of options. I would imagine this wouldn't be a huge issue to add since chanop is there already.

This would allow some protection for owners on servicesless networks and allow for the full use of +a as well.
TagsNo tags attached.
3rd party modules

Activities

2009-06-06 16:26

 

chanowner.diff (757 bytes)

katsklaw

2009-06-06 16:27

reporter   ~0015862

Last edited: 2009-06-06 18:04

patch attached.

NOTE: patch made against 3.2.8.1, not 3.2.9. My bad.

katsklaw

2009-06-07 10:51

reporter   ~0015866

ok that patch is incomplete. DO NOT USE!

It will set the flag, but not the mode.

2009-08-13 17:32

 

s_conf.c.patch (1,125 bytes)

morpheus_pl

2009-08-13 17:33

reporter   ~0015918

I've attached a patch for 3.2.8.1. It supports none, voice, halfop, op, protect, owner. I think you can now close this thread.

syzop

2009-11-23 16:17

administrator   ~0015973

Added in .776:
- set::level-on-join now also supports voice, halfop, protect and owner.
  Requested by katsklaw (0003852). Partial patch provided by katsklaw and
  morpheus_pl.

I wasted way too much time on this tiny feature though, the patch was - indeed as katsklaw said - incomplete (very..) ;)

Issue History

Date Modified Username Field Change
2009-06-06 15:21 katsklaw New Issue
2009-06-06 16:26 katsklaw File Added: chanowner.diff
2009-06-06 16:27 katsklaw Note Added: 0015862
2009-06-06 18:04 katsklaw Note Edited: 0015862
2009-06-07 10:51 katsklaw Note Added: 0015866
2009-08-13 17:32 morpheus_pl File Added: s_conf.c.patch
2009-08-13 17:33 morpheus_pl Note Added: 0015918
2009-11-23 16:17 syzop QA => Not touched yet by developer
2009-11-23 16:17 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2009-11-23 16:17 syzop Note Added: 0015973
2009-11-23 16:17 syzop Status new => resolved
2009-11-23 16:17 syzop Fixed in Version => 3.2.9-RC1
2009-11-23 16:17 syzop Resolution open => fixed
2009-11-23 16:17 syzop Assigned To => syzop